/* colors */

:root {
  --blue: #009AF6;
  --orange: #FF8800;
  --black: #000000;
  --white: #ffffff;
}

@font-face {
	font-family: 'OpenSans';
	src: url('./assets/fonts/OpenSans-Bold.ttf');
	src: local('OpenSans-Bold'), local('OpenSans-Bold'),
			url('./assets/fonts/OpenSans-Bold.woff') format('woff')
			;
	font-weight: bold;
	font-style: normal;
}

@font-face {
	font-family: 'Aqum';
	src: url('./assets/fonts/Aqum.ttf');
	src: local('Aqum-Regular'), local('Aqum-Regular'),
			url('./assets/fonts/Aqum.woff') format('woff')
			;
	font-weight: normal;
	font-style: normal;
}


*,
*::before,
*::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
  width: 100%;
  overflow-x: clip;
}

body {
  color: var(--white);
  font-family: "OpenSans";
  overflow-x: hidden;
}

input,
textarea {
    -webkit-animation: bugfix infinite 1s;
    line-height: inherit;
    margin: 0;
    padding: 0;
    background-color: transparent;
    border: none;
    color: inherit;
}
a {
    color: unset;
}
a,
a:hover {
    text-decoration: none;
}

button,
input,
a,
textarea {
    outline: none;
    cursor: pointer;
    font: inherit;
    border-color: transparent;
    &:focus {
        outline: none;
    }
    &:active {
        outline: none;
    }
}

input, textarea {
  width: 100%;
  height: 63px;

  border: none;
  outline: none;
  text-align: center;

  padding: 7px;

  border-radius: 40px;

  background: rgba(255,255,255,.85);

  font-size: 20px;
  color: #000000;
}

input::placeholder, textarea::placeholder {
  color: #cecece;
  text-transform: uppercase;
}

textarea {
  min-height: 197px;
  resize: vertical;
  padding: 10px 30px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font: inherit;
    margin: 0;
    padding: 0;
}
p {
    margin-top: 0;
    margin-bottom: 0;
}

img {
    width: 100%;
    height: auto;
    object-fit: contain;
}

.burger-menu {
  display: none;
}

.btn {
  position: relative;
  font-family: 'Aqum';
  border-radius: 40px;
  font-weight: 700;
  text-transform: uppercase;
  transition: .3s;
  cursor: pointer;
}

.btn-white {
  position: relative;
  background: #fff;
  color: #ff7900;

  padding: 18px 40px;

  box-shadow: 4px 5px 10px rgba(0,0,0,.2);
}

.btn-white::before {
  content: "";

  position: absolute;
  z-index: 2;
  left: -15px;
  top: -15px;

  width: 55px;
  height: 54px;

  background-image: url('./assets/star.png');
}

.btn-orange {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  min-width: 345px;
  height: 64px;

  background: #ff7900;
  color: #fff;

  border-radius: 30px;
  border: 5px solid  #ffffff;

  font-size: 25px;

  box-shadow: 0 4px 8px rgba(0,0,0,.15);
}

.btn-orange::after {
  content: "";

  position: absolute;
  z-index: 2;
  right: -20px;
  top: -30px;

  width: 55px;
  height: 54px;

  background-image: url('./assets/star-reg.png');
}

.btn-blue {
  display: inline-flex;
  align-items: center;
  justify-content: center;

  min-width: 220px;
  height: 55px;

  background: #009AF6;
  color: #fff;

  border-radius: 30px;

  font-size: 18px;
  font-weight: 700;

  box-shadow: 0 4px 8px rgba(0,0,0,.15);
  border: 5px solid #ffffff;
}

@media (hover: hover) {
  .btn:hover {
    scale: 104%;
  }

  .btn-white:hover {
    background-color: #ffdfc2;
  }
  
  .btn-blue:hover {
    background-color: #ffffff;
    color: #ff7900;
  }

  .btn-orange:hover {
    background-color: #ffffff;
    color: #009AF6;
  }
  
}

.btn-blue::after {
  content: "";

  position: absolute;
  z-index: 2;
  left: -20px;
  top: -30px;

  width: 55px;
  height: 54px;

  background-image: url('./assets/star-reg.png');
}

.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 40px;
}

.header {
  margin-bottom: 37px;
}

.header__top_container {
  width: 100%;
  padding: 0 40px;
  background-image: url('./assets/header.png');
  background-size: cover;
}

.header__top {
  display: flex;
  justify-content: space-between;
  align-items: center;

  padding: 20px 0;
}

.logo {
  display: flex;
  align-items: center;
  gap: 15px;
}

.logo_text {
  margin: 0;
  font-family: 'Aqum';

  font-size: 35px;
  text-transform: uppercase;

  color: #ffffff;
}

.logo__img {
  width: 100px;
}

.header__top_links {
  display: flex;
  align-items: center;
  gap: 30px;
}

.header__top_link {
  font-size: 35px;
  font-family: "Aqum";
}

.header_bottom {
  padding: 16px 0px;
}

.header_bottom ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 12px 24px;
}

.header_bottom .btn-orange {
  min-width: 260px;
  height: 46px;
  font-size: 18px;
}

.header_bottom .btn-orange::after {
  content: none;
}

.header__bottom_links {
  display: none;
}

.hero {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;

  padding: 35px;
}

.hero::before {
  content: "";

  position: absolute;
  z-index: -2;

  left: 0;
  top: 0;

  width: 55%;
  height: 100%;

  background: #2496ea;

  border-radius: 0 257px 257px 0;
}

.hero::after {
  content: "";

  position: absolute;
  z-index: -2;

  right: 0;
  bottom: 0;

  width: 40%;
  height: 120px;

  background: #2496ea;

  border-radius: 80px 0 0 80px;
}

.hero__content {
  display: flex;
  align-items: flex-end;
}

.hero__inner {
  max-width: 720px;
  width: 100%;
}


.hero h1 {
  font-family: "Aqum";
  margin: 0;

  font-size: 40px;
  line-height: 50px;
  text-transform: uppercase;
  margin-bottom: 30px;
}

.hero__text {
  font-size: 20px;
  margin-bottom: 130px;
}

.hero__btns {
  display: flex;
  gap: 25px;

  margin-top: 50px;
}

.hero__image {
  margin-right: 105px;
  width: 100%;
  max-height: 424px;
  border: 7px solid #009AF6;
  border-radius: 34px;
  overflow: clip;
}

.advantages, .reviews, .price {
  background-image: url('./assets/background.png');
  background-repeat: repeat-y;
  background-position: center;
  overflow: hidden;
}

.advantages__list {
  max-width: 996px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 111px;
  padding: 152px 0 124px;
}

.advantages__item {
  max-width: 100%;
  width: 90%;
  height: 356px;
  margin: 0 auto;
  position: relative;
  background-color: #009AF6;
  border: 8px solid #ffffff;
  border-radius: 40px;
  padding: 40px 56px;
  box-shadow: 1px 11px 1.8px rgba(15, 75, 131, 0.14)
}

.advantages__item::before {
  content: "";

  position: absolute;
  z-index: 2;
  left: -55px;
  top: -55px;

  width: 111px;
  height: 112px;

  background-image: url('./assets/advStar.png');
  background-size: contain;
}

.advantages__item:nth-child(even)::before {
  left: auto;
  right: -55px;

}


.advantages__item:first-child .advantages__item-img {
  position: absolute;
  z-index: 2;
  top: -170px;
  right: -100px;
  width: 556px;
}


.advantages__item:nth-child(2) .advantages__item-img {
  position: absolute;
  z-index: 2;
  top: -115px;
  left: -160px;
  width: 503px;
}

.advantages__item-title {
  width: 70%;
  font-family: 'Aqum';
  font-size: 36px;
  color: #ff7900;
  text-align: center;
  -webkit-text-stroke: 2px #ffffff;
}

.advantages__item-text {
  font-size: 20px;
  line-height: 30px;
  width: 70%;
  text-align: center;
  margin-top: 40px;
}

.advantages__item:nth-child(2) .advantages__item-title {
  margin-left: auto;
}

.advantages__item:nth-child(2) .advantages__item-text {
  margin-left: auto;
}

.advantages__item:nth-child(3) .advantages__item-title {
  width: 90%;
}

.advantages__item:nth-child(3) .advantages__item-text {
  width: 90%;
}


.advantages__item:last-child {
  height: 479px;
}

.advantages__item:last-child .advantages__item-img {
  position: absolute;
  z-index: 2;
  top: -100px;
  left: -360px;
  width: 604px;
}

.advantages__item:last-child .advantages__item-title {
  font-size: 48px;
  width: 80%;
  margin-left: auto;
}

.advantages__item:last-child .advantages__item-text {
  width: 80%;
  font-size: 36px;
  font-family: 'Aqum';
  color: #ff7900;
  line-height: 50px;
  -webkit-text-stroke: 1.5px #ffffff;
  margin-left: auto;
}

.order {
  position: relative;
  background: #ff8600;
}

.order::before {
  content: "";
  position: absolute;
  top: -80px;
  right: 0px;
  width: 30%;
  height: 85px;
  background: #ff8500;
  display: block;
  border-radius: 80px 0 0 0;

  z-index: -1;
}

.order::after {
  content: "";
  position: absolute;
  bottom: -80px;
  right: 0px;
  width: 20%;
  height: 85px;
  background: #ff8500;
  display: block;
  border-radius: 0 0 0 80px;

  z-index: 2;
}

.order__content {
  padding: 69px 0 18px;

  display: flex;
  justify-content: center;
  align-items: center;
  gap: 80px;

  position: relative;
  z-index: 2;
}

.order__inner {
  position: relative;
  padding-bottom: 70px;
}

.order__inner::after {
  content: "";
  position: absolute;
  bottom: -80px;
  left: 0;
  width: 20%;
  height: 85px;
  background: #ff8500;
  display: block;
  border-radius: 0 0 80px 0;
  z-index: 2;
}

.order__form {
  max-width: 601px;
  width: 100%;
}

.order__title {
  margin: 0 0 53px;

  color: #fff;
  font-family: 'Aqum';
  font-size: 70px;
  line-height: 40px;
  text-transform: uppercase;
  text-align: center;
}

.order form {
  display: flex;
  flex-direction: column;
  gap: 51px;
}

.order__btns {
  display: flex;
  justify-content: space-between;
}

.order__btns .btn {
  width: 285px;
}

.order__btns .btn:last-child::after {
  left: auto;
  right: -15px;
}

.order__image img {
  max-width: 642px;
  max-height: 503px;
  width: 100%;
}

.order__image p {
  max-width: 571px;

  margin: 19px auto 0;

  font-size: 20px;
  font-weight: 700;
  line-height: 1.2;
  text-align: center;

  text-transform: uppercase;
}

.order__agreement {
  display: none;
  margin-top: 57px;

  text-align: center;

  color: #fff;

  font-size: 16px;
  font-weight: 700;
  text-transform: uppercase;
}


.works {
  width: 100%;
  background-image: url('./assets/background2.png');
  background-position: top center;
  background-size: contain;
  padding-top: 127px;
}

.works__title, .reviews__title, .partners__title, .price__title {
  margin: 0 auto;
  font-family: 'Aqum';
  font-size: 70px;
  line-height: 100px;
  max-width: 745px;
  width: 100%;
  color: #ff7900;
  text-align: center;
  -webkit-text-stroke: 1.5px #ffffff;
  text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.works__inner {
  background-color: #009AF6;
  padding: 114px 0 53px;
}

.works__list {
  max-width: 1270px;
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 40px;
  margin: 0 auto 51px;
}

.works__img {
  width: 389px;
  max-height: 244px;
  border-radius: 34px;

  border: 7px solid #ffffff;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
  overflow: hidden;
  opacity: 1;
  transition: all .3s ease-in-out;
}

.works__img.hidden {
  max-height: 0;
  opacity: 0;
  pointer-events: none;
  transition: all .3s ease-in-out;
}

.works__btn {
  display: block;
  width: 345px;
  height: 76px;
  font-size: 30px;
  line-height: 40px;
  margin: 0 auto;
  border-radius: 78px;
}

.feedback {
  background-color: #ff7900;
}

.feedback h2 {
  font-family: 'Aqum';
  margin-bottom: 39px;
  font-size: 48px;
  color: #009AF6;
  -webkit-text-stroke: 1.5px #ffffff;
  text-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
  text-align: center;
}

.feedback__inner {
  padding: 33px 0 27px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.feedback__form {
 max-width: 601px;
 width: 100%;
 margin: 0 auto 28px;
}

.feedback__form-name {
  margin-bottom: 21px;
}

.feedback__form-btn {
  display: block;
  font-size: 25px;
  width: 345px;
  margin: 36px auto 0;
}

.feedback__form-btn::after {
  left: auto;
  right: -20px;
}

.feedback__describe {
  text-align: center;
}

.price {
  padding-top: 80px;
}

.price__content {
  max-width: 1355px;
  margin: 30px auto 0;
}

.reviews__inner {
  padding: 81px;
}

.reviews__title {
  margin-bottom: 45px;
  width: 100%;
  color: #ff7900;
}

.reviews__slider-viewport {
  max-width: 1163px;
  width: 100%;
  height: 715px;
  overflow: hidden;
}

.reviews__slider {
  gap: 32px 38px;
  height: 715px;
  padding: 5px;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  justify-content: space-between;
  align-content: space-between;
  transition: all 0.3s ease-in-out;
}

.reviews__slider-wrap {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
}

.reviews__slider-arrow {
  width: 47px;
  cursor: pointer;
}

.reviews__slider-arrow:hover {
  scale: 104%;
}

.reviews__slider-arrow svg {
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}

.reviews__slider-item {
  max-width: 559px;
  height: 335px;
  padding: 33px 40px 60px;
  background-color: #009AF6;
  border-radius: 65px;
  border: 6px solid #ffffff;
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  text-align: center;
  transform: translate(0);
  transition: all 0.3s ease-in-out;
}

.reviews__slider-name {
  margin-bottom: 51px;
  color: #ff7900;
  font-size: 36px;
  -webkit-text-stroke: 1.5px #ffffff;
}

.reviews__slider-text {
  text-align: center;
  font-size: 20px;
}


.partners {
  background-color: #009AF6;
  background-image: url(./assets/background3.png);
  background-position: bottom;
  background-repeat: no-repeat;
  background-size: contain;
}

.partners__inner {
  padding: 36px 0 44px;
}

.partners__title {
  margin-bottom: 62px;
}

.partners__list {
  display: flex;
  gap: 46px 30px;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin-bottom: 70px;
}

.partners__logo {
  width: 330px;
  max-height: 330px;
  opacity: 1;
  transition: all .3s ease-in-out;
  overflow: hidden;
}

.partners__logo.hidden {
  max-height: 0;
  opacity: 0;
  pointer-events: none;
  transition: all .3s ease-in-out;
}

.partners__btn {
  display: block;
  margin: 0 auto;
}

footer {
  background-color: #009AF6;
}

.footer {
  padding: 142px 60px 86px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.footer__top {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 112px;
}

.footer__top-logo {
  width: 238px;
}

.footer__top-links {
  display: flex;
  flex-direction: column;
  gap: 11px;
}

.footer__top-link, .footer__top-text {
  font-family: "Aqum";
  font-size: 24px;
  line-height: 50px;
}


.footer__top-link:hover {
  color: #ff7900;
  transition: 0.3s ease-in-out;
}

.footer__top-qrs {
  max-width: 733px;
  width: 100%;
  text-align: center;
}

.footer__qr {
  max-width: 219px;
  width: 100%;
}

.footer__qr-container {
  display: flex;
  justify-content: space-between;
}

@media (max-width: 1180px) { 
  .header_bottom .btn-orange {
    min-width: 350px;
    width: 50%;
    height: 57px;
    font-size: 18px;
  }

  .header {
    margin-bottom: 0;
  }
  .header__top {
    padding: 20px;
  }

  .header__top_links {
    display: none;
  }

  .header__bottom_links {
    display: flex;
    margin: 0 auto 50px;
	  width: 100%;
    gap: 40px;
    color: orange;
    justify-content: center;
  }

  .header_bottom {
    position: fixed;
    z-index: 100;
    left: auto;
    right: 0;
    background-color: #fff;
    width: 100%;
    padding: 50px 30px 30px;
    height: 100dvh;
    transform: translateX(100%);
    transition: all 0.5s ease-in-out;
    
  }

  .header_bottom {
    max-width: none;
    margin: 0;
  }

  .header_bottom.active {
    transform: translateX(0%);
  }

  .header_bottom ul {
    justify-content: center;
    width: 100%;
    gap: 40px;
  }

  .burger-menu {
    position: relative;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 25px;
  }
  
  .burger-menu__line {
    display: block;
    width: 35px;
    height: 3px;
    border-radius: 5px;

    background-color: #ffffff;
    transition: 0.3s ease-in-out;
  }
  
  .burger-menu__active > .burger-menu__line {
    opacity: 0;
    transition: 0.3s ease-in-out;
  }
  
  .burger-menu::after,
  .burger-menu::before {
    content: "";
    position: absolute;
    width: 35px;
    height: 3px;
    border-radius: 5px;
  
    background-color: #ffffff;
    transition: 0.3s ease-in-out;
  }
  
  .burger-menu::after {
    transition: 0.3s ease-in-out;
    bottom: 0;
  }
  
  .burger-menu::before {
    transition: 0.3s ease-in-out;
    top: 0;
  }
  
  .burger-menu__active::after {
    margin: 0 -6px;
    bottom: 45%;
    transform: rotate(45deg);
    transition: 0.3s ease-in-out;
  }
  .burger-menu__active::before {
    margin: 0 -6px;
    top: 45%;
    transform: rotate(-45deg);
    transition: 0.3s ease-in-out;
  }

  .hero::before {
    left: 0;
    top: auto;
    bottom: 0;
    width: 95%;
    height: 55%;
  }

  .hero::after {
    top: 0;
  }
  
  .hero__content {
    flex-direction: column-reverse;
    gap: 20px;
    align-items: center;
  }

  .hero__text {
    margin-bottom: 40px;
  }

  .hero__image {
    margin-right: 0;
  }

  .advantages__item, .advantages__item:last-child {
    height: auto;
  }

  .advantages__item-text, .advantages__item-title {
    width: 60%;
  }

  .advantages__item:last-child .advantages__item-img{
    display: none;
  }

  .advantages__item:nth-child(3) .advantages__item-title,
  .advantages__item:nth-child(3) .advantages__item-text,
  .advantages__item:last-child .advantages__item-title,
  .advantages__item:last-child .advantages__item-text {
    width: 100%;
  }

  .order__image {
    display: none;
  }

  .order__agreement {
    display: block;
    max-width: 60%;
    margin: 57px auto 0;
  }

  .works {
    background-repeat: no-repeat;
  }

  .footer {
    padding: 40px 20px 25px;
  }

  .footer__top {
    flex-direction: column;
  }

  .footer__top-logo {
    margin-bottom: 45px;
  }

  .footer__top-links {
    margin-bottom: 45px;
    text-align: center;
  }

  .footer__bottom {
    text-align: center;
  }
}

@media (max-width: 780px) { 
  body,
  .hero__text,
  .advantages__item-text {
    font-size: 16px;
    line-height: 24px;
  }

  .btn-orange,
  .btn-blue {
    min-width: 175px;
    width: 90%;
    height: 55px;
    font-size: 18px;
  }

  .logo__img {
    width: 60px;
  }

  .logo_text {
    font-size: 16px;
    max-width: 170px;
  }

  .header__top_link {
    font-size: 30px;
  }

  .header_bottom {
    padding: 30px 20px 150px;
    overflow-y: scroll;
  }

  .header__bottom_links {
    border-bottom: 2px solid #009AF6;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    padding-bottom: 15px;
    margin-bottom: 15px;
  }

  .header_bottom ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 24px;
  }
  
  .header_bottom .btn-orange {
    min-width: 260px;
    height: 46px;
    font-size: 18px;
  }

  .hero::before {
    width: 100%;
    height: 70%;
    border-radius: 0;
  }

  .hero {
    padding: 35px 0;
  }

  .hero__image {
    max-height: 350px;
  }

  .hero__content {
    width: 100%;
  }

  .hero__btns {
    flex-direction: column;
  }

  .hero__inner h1,
  .advantages__item-title,
  .advantages__item:last-child .advantages__item-title,
  .order__title,
  .works__title,
  .reviews__title,
  .feedback__inner h2,
  .partners__title,
  .price__title {
    font-size: 26px;
    line-height: 30px;
  }

  .advantages__item-title,
  .advantages__item:last-child .advantages__item-title {
    font-size: 22px;
    line-height: 30px;
    -webkit-text-stroke: 1px #ffffff;
  }

  .advantages__list {
    gap: 50px;
    padding: 40px;
  }

  .advantages__item:last-child .advantages__item-text {
    font-size: 20px;
    line-height: 30px;
    -webkit-text-stroke: 1px #ffffff;
  }

  .advantages__item {
    padding: 20px;
  }

  .advantages__item::before {
    top: -20px;
    left: -20px;
    width: 65px;
    height: 65px;
  }

  .advantages__item:nth-child(even)::before {
    right: -20px;
  }

  .advantages__item-img {
    display: none;
  }

  .advantages__item-text,
  .advantages__item-title {
    width: 100%;
  }

  .feedback__inner {
    padding: 33px 20px 27px;
  }

  .order form {
    gap: 24px;
  }

  .order__inner {
    padding: 0 20px 18px;
  }

  .order__btns {
    flex-direction: column-reverse;
    align-items: center;
    gap: 30px;
    margin-top: 40px;
  }

  .works__inner {
    margin-top: 20px;
    padding-top: 50px;
  }

  .works__list,
  .partners__list {
    gap: 20px;
  }

  .reviews__inner {
    padding: 50px 20px;
  }

  .reviews__slider {
    gap: 20px;
  }

  .reviews__slider-item {
    max-width: 350px;
    width: 100%;
  }

  .reviews__slider-name {
    font-size: 28px;
  }

  .reviews__slider-text {
    font-size: 16px;
    line-height: 25px;
  }

  .reviews__slider-arrow {
    display: none;
  }

  .partners__logo {
    width: 200px;
  }

  .footer__top {
    margin-bottom: 30px;
  }

  .footer__qr-container {
    flex-wrap: wrap;
    align-items: center;
    gap: 25px;
    margin-top: 25px;
    justify-content: center;
  }

  .footer__qr {
    width: 150px;
  }
}

